#ifndef __ANFIBIONATIVO_H__
#define __ANFIBIONATIVO_H__

#include "anfibio.h"
#include "animalnativo.h"

/* @brief Classe AnfibioNativo, que modela um  Anfíbio do tipo Nativo, que toma Anfibio e AnimalNativo
*				  como classes pai a herdar seus atributos
* @param 	Métodos públicos:
*					friend std::istream& operator>> (std::istream &input, AnfibioNativo &anfnat) - Sobrecarga do operador de extração
*					void print() - método para impressão das informações do AnfibioNativo
					AnfibioNativo - Construtor cria um animal do tipo AnfíbioNativo
					~AnfibioNativo - destrutor de AnfibioNativo
*
*/
class AnfibioNativo: public Anfibio, AnimalNativo {
	private:

	public:
		friend std::istream& operator>> (std::istream &input, AnfibioNativo &anfnat);
		void print(){
							 cout << "ID: " << id << endl;
							 cout << "Nome: " << nome << endl;
							 cout << "Classe: " << classe << endl;
							 cout << "Cientifico: " << cientifico << endl;
							 cout << "Sexo: " << sexo << endl;
							 cout << "Dieta: "<< dieta << endl;
							 cout << "Batismo: " << batismo << endl;
							 cout << "Veterinario :" << veterinario << endl;
							 cout << "Tratador: " << tratador << endl;
							 cout << "Total de Mudas :" << total_mudas << endl;
							 cout << "Ultima muda: " << ultima_muda <<endl;
							 cout << "Ibama: "<< ibama << endl;
							 cout << "Estado de Origem: " << uf_origem << endl;
							 cout << "Autorização: " << autorizacao << endl;
							};
		AnfibioNativo(int identity, string clas, string name, string scientific, char sex, float size,
    				string diet, string baptism, Veterinario* vet, Tratador* caretaker,
    				int total_changes, string last_change, string biernr, string origin_state, string authorization);
		~AnfibioNativo();


};

#endif
