#ifndef __AVE_H__
#define __AVE_H__
#include "animal.h"
#include "veterinario.h"
#include "tratador.h"


/* @brief Classe Ave, que modela um animal do tipo Ave, que toma Animal como classe pai a herdar seus atributos
* @param 	Atributos privados:
* 				tamanho_bico - tamanho do bico da ave
*					envergadura - tamanho da envergadura
*					Métodos públicos:
*					getTamanho_bico - retorna o tamanho do bico
*					setTamanho_bico - modifica o tamanho do bico
*					getEnvergadura - retorna o tamanho da envergadura
*					setEnvergadura - modifica o tamanho da envergadura
*					Ave - Construtor cria um animal do tipo Ave, que toma Animal como classe pai a herdar seus atributos
*
*/
class Ave: public Animal{
	protected:
		int tamanho_bico;
		int envergadura;

	public:
		int getTamanho_bico();
		void setTamanho_bico(int beak_size);
		int getEnvergadura();
		void setEnvergadura(int wingspan);
		Ave(int identity, string clas, string name, string scientific, char sex, float size, string diet,
				string baptism, Veterinario* vet, Tratador* caretaker, int tamanho_bico, int envergadura);
		~Ave();

};

#endif
