#ifndef __FUNCIONARIO__H__
#define __FUNCIONARIO__H__

#include <iostream>
#include <string>
using namespace std;

/* @brief Classe Funcionario, que modela um Funcionario
* @param 	Atributos protegidos:
* 				id - identificador do funcionario,
*					funcao - funcao do funcionario
* 				nome - nome do funcionario
*					cpf - cpf do funcionario
* 				idade - idade do funcionario,
*					tipo_sanguineo - tipo sanguineo do funcionario
* 				fator_RH - fator RH do funcionario
*					especialidade - especialidade do funcionario

*					Métodos públicos:
*					getId - retorna o id do animal
*					setId - modifica o id do animal
*					getFuncao - retorna a funcao do funcionario
*					setFuncao - modifica a funcao do funcionario
*					getNome - retorna o nome do funcionario
*					setNome - modifica o nome do funcionario
*					getCpf- retorna o CPF do funcionario
*					setCpf - modifica o CPF do funcionario
*					getIdade - retorna a idade do funcionario
*					setIdade - modifica a idade do funcionario
*					getTipo_sanguineo - retorna o tipo sanguineo do funcionario
*					setTipo_sanguineo - modifica o tipo sanguineo do funcionario
*					getFator_RH - retorna o fator RH do funcionario
*					setFator_RH - modifica o fator RH do funcionario
*					getEspecialidade - retorna a especialidade do funcionario
*					setEspecialidade - modifica a especialidade do funcionario
*					Funcionario - Construtor cria um ser do tipo Funcionario, inicializando os seus atributos
*					virtual void print()=0 - método para impressão das informações do funcionario
*					~Funcionario - Destrutor de funcionario
*
*/

class Funcionario {
	protected:
		int id;
		string funcao;
		string nome;
		string cpf;
		int idade;
		string tipo_sanguineo;
		string fator_RH;
		string especialidade;


	public:
		int getId();
		void setId(int identity);
		string getFuncao();
		void setFuncao(string role);
		string getNome();
		void setNome(string name);
		string getCpf();
		void setCpf(string doc_cpf);
		int getIdade();
		void setIdade(int age);
		string getTipo_sanguineo();
		void setTipo_sanguineo(string blood_type);
		string getFator_RH();
		void setFator_RH(string rh_factor);
		string getEspecialidade();
		void setEspecialidade(string specialty);
		Funcionario(int identity, string role, string name, string doc_cpf, int age, string blood_type, string rh_factor, string specialty);
		~Funcionario();
		virtual void print()=0;



};

#endif
