#ifndef __MAMIFERO_H__
#define __MAMIFERO_H__
#include "animal.h"
#include "veterinario.h"
#include "tratador.h"
#include <fstream>



/* @brief Classe Mamifero, que modela um animal do tipo Mamifero, que toma Animal como classe pai a herdar seus atributos
* @param 	Atributos privados:
* 				cor_pelo - cor do pelo
*					Métodos públicos:
*					virtual void print() = 0 - impressão das informações de Mamifero
*					getCor_pelo - retorna a cor do pelo
*					setCor_pelo - modifica a cor do pelo
*					Mamifero - Construtor cria um animal do tipo Mamífero, que toma Animal como classe pai a herdar seus atributos
*					~Mamifero - destrutor de Mamifero
*/

class Mamifero: public Animal{
	protected:
		string cor_pelo;

	public:

		virtual void print() = 0;
		string getCor_pelo();
		void setCor_pelo(string fur_color);
		Mamifero(int identity, string clas, string name, string scientific, char sex, float size, string diet, string baptism, Veterinario* vet, Tratador* caretaker, string fur_color);
		~Mamifero();
};

#endif
