#include <iostream>
#include "animalnativo.h"
#include <string>

/**
* @brief Construtor cria um AnimalNativo, que toma AnimalSilvestre como classe pai a herdar seus atributos
* @param biernr - IBAMA, origin_state - estado de origem do animal, authorization - autorização
*/
AnimalNativo::AnimalNativo(string biernr, string origin_state, string authorization):

							AnimalSilvestre(biernr),
							uf_origem(origin_state), autorizacao(authorization)


{}

	/**
	* @brief Funcao que retorna o estado de origem
	* @return estado de origem
	*/
string AnimalNativo::getUf_origem(){
	return uf_origem;
}



/**
* @brief Funcao que modifica o estado de origem
* @param origin_state Estado de origem
*/
void AnimalNativo::setUf_origem(string origin_state){
	uf_origem = origin_state;
}

/**
* @brief Funcao que retorna a autorizacao
* @return autorizacao
*/
string AnimalNativo::getAutorizacao(){
	return autorizacao;
}



/**
* @brief Funcao que modifica a autorizacao
* @param authorization Autorização
*/
void AnimalNativo::setAutorizacao(string authorization){
	autorizacao = authorization;
}

AnimalNativo::~AnimalNativo(){

}
