#include <iostream>
#include <string>
#include "ave.h"


/**
* @brief Construtor cria um animal do tipo Ave, que toma Animal como classe pai a herdar seus atributos
* @param identity - ID, clas - classe do animal, name - nome do animal, scientific - nome científico do animal,
*					sex - sexo do animal, size - tamanho do animal, diet - dieta do animal,
* 				baptism - nome de batismo do animal, vet - veterinário associado ao animal,
*					caretaker - tratador associado ao animal, tamanho_bico - tamanho do bico da ave,
*					envergadura - tamanho da envergadura
*/
Ave::Ave(int identity, string clas, string name, string scientific, char sex, float size,
				string diet, string baptism, Veterinario* vet, Tratador* caretaker,
				int beak_size, int wingspan):

				Animal(identity, clas, name, scientific, sex, size, diet, baptism, vet, caretaker),

				tamanho_bico(beak_size), envergadura(wingspan)


{}


/**
* @brief Funcao que retorna o tamanho do bico
* @return Tamanho do bico
*/
int Ave::getTamanho_bico(){
	return tamanho_bico;
}


/**
* @brief Funcao que modifica o tamanho do bico
* @param beak_size Tamanho do bico
*/
void Ave::setTamanho_bico(int beak_size){
	tamanho_bico = beak_size;
}


/**
* @brief Funcao que retorna o tamanho da envergadura
* @return Tamanho da envergadura
*/
int Ave::getEnvergadura(){
	return envergadura;
}


/**
* @brief Funcao que modifica o tamanho da envergadura
* @param beak_size Tamanho da envergadura
*/
void Ave::setEnvergadura(int wingspan){
	envergadura = wingspan;
}

/*
    Destrutor do objeto Ave
*/
Ave::~Ave(){

}
